@charset "UTF-8";
:root {
  --primary-background-color: #ffffff;
  --surface-color: #eceff8;
  --secondary-text-color: #676879;
  --color-sub-border: rgba(204, 204, 204, 1);
  --color-border: color-mix(in srgb, transparent 85%, #248d2e 15%);
  --select-color-hover: color-mix(in srgb, transparent 30%, #248d2e 100%);
  --color-hover: rgba(245, 246, 248, 1);
  --color-sub-border: rgba(204, 204, 204, 1);
  --color-sub-bg-border: #d6d6d6;
  --color-sub-border-2: #f2f2f2;
  --primary-color: #248d2e;
  --primary-color-hover: rgba(204, 204, 204, 0.1);
  --primary-color-cancel: #ecedf5;
  --primary-color-cancel-text: rgba(50, 51, 56, 0.38);
  --primary-placeholder: rgba(103, 104, 121, 1);
  --primary-delete-color: rgba(122, 122, 122, 0.1);
  --primary-delete-text-color: rgba(50, 51, 56, 0.3);
  --primary-warning-color: #d9534f;
  --table-scroll-width: 100px;
}

div.table-wrapper {
  width: 100%;
  overflow-x: auto;
}

table.currency-table {
  min-width: 500px;
  table-layout: fixed;
  background: #fff !important;
}
table.currency-table thead th {
  border: 1px solid #f2f2f2;
  padding: 5px !important;
}
table.currency-table thead th:nth-child(1) {
  width: 14%;
}
table.currency-table thead th:nth-child(2) {
  width: 15%;
}
table.currency-table thead th:nth-child(3) {
  width: 15%;
}
table.currency-table thead th:nth-child(4) {
  width: 15%;
}
table.currency-table thead th:nth-child(5) {
  width: 18%;
}
table.currency-table thead th:nth-child(6) {
  width: 18%;
}
@media (max-width: 767px) {
  table.currency-table td,
  table.currency-table th {
    font-size: 10px;
    word-break: break-all;
    overflow-wrap: break-word;
    white-space: normal;
  }
}
table.currency-table tbody td {
  border: 1px solid #f1f1f1;
}
table.currency-table tbody td.number {
  text-align: right;
}

.estimate-harvest-date #ajaxModal .modal-dialog {
  max-width: 991px;
}

.sts-i-date {
  position: absolute;
  right: 20px;
  top: 6px;
}

.jstreetable-default table#inventory_reports-table thead tr th {
  border-right: 1px solid var(--color-sub-bg-border);
}
.jstreetable-default table#inventory_reports-table thead tr th[colspan] {
  border-bottom: 1px solid var(--color-sub-bg-border);
}
@media (max-width: 767px) {
  .jstreetable-default table#inventory_reports-table thead tr th {
    padding: 5px !important;
    font-size: 10px;
    overflow-wrap: break-word;
    white-space: normal;
  }
}

.jstreetable-default table#inventory_reports-table tbody tr {
  border-bottom: 1px solid var(--color-sub-border-2);
}

.jstreetable-default table#inventory_reports-table tbody tr th,
.jstreetable-default table#inventory_reports-table tbody tr td {
  border-right: 1px solid var(--color-sub-border-2);
  text-align: right;
}
.jstreetable-default table#inventory_reports-table tbody tr th.sticky-3,
.jstreetable-default table#inventory_reports-table tbody tr td.sticky-3 {
  border-right: 1px solid var(--color-sub-border-2);
}
@media (max-width: 767px) {
  .jstreetable-default table#inventory_reports-table tbody tr th,
  .jstreetable-default table#inventory_reports-table tbody tr td {
    padding: 5px !important;
    font-size: 10px;
    overflow-wrap: break-word;
    white-space: normal;
  }
}

.jstreetable-default table#inventory_reports-table tbody tr th:nth-child(-n+3),
.jstreetable-default table#inventory_reports-table tbody tr td:nth-child(-n+3) {
  text-align: left;
}

.jstreetable-default table#inventory_reports-table tbody tr th:nth-child(-n+3),
.jstreetable-default table#inventory_reports-table tbody tr td:nth-child(-n+3) {
  border-top: 1px solid #f2f2f2;
}

.jstreetable-default table#inventory_reports-table {
  table-layout: fixed;
  min-width: 2390px;
  border-collapse: separate;
}

.jstreetable-default table#inventory_reports-table thead th.sticky,
.jstreetable-default table#inventory_reports-table tfoot tr th.sticky,
.jstreetable-default table#inventory_reports-table tbody tr td.sticky {
  position: sticky;
  z-index: 4;
  text-align: left;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  /* @media (max-width: 767px) {
      min-width: 150px;
  } */
}

.sticky-1 {
  width: 100px;
  left: 0;
}

.sticky-2 {
  width: 150px;
  left: 100px;
}

.sticky-3 {
  width: 80px;
  left: 250px;
}

@media (max-width: 767px) {
  .sticky-1 {
    width: 70px;
    left: 0;
  }
  .sticky-2 {
    width: 60px;
    left: 70px;
  }
  .sticky-3 {
    width: 60px;
    left: 130px;
  }
}
/* Odd */
.jstreetable-default table#inventory_reports-table tbody tr:nth-child(8n-7) td,
.jstreetable-default table#inventory_reports-table tbody tr:nth-child(8n-6) td,
.jstreetable-default table#inventory_reports-table tbody tr:nth-child(8n-5) td,
.jstreetable-default table#inventory_reports-table tbody tr:nth-child(8n-4) td {
  background-color: #fff;
}

/* Even */
.jstreetable-default table#inventory_reports-table tbody tr:nth-child(8n-3) td,
.jstreetable-default table#inventory_reports-table tbody tr:nth-child(8n-2) td,
.jstreetable-default table#inventory_reports-table tbody tr:nth-child(8n-1) td,
.jstreetable-default table#inventory_reports-table tbody tr:nth-child(8n) td {
  background-color: #f9f9f9;
}

.jstreetable-default table#inventory_reports-table tbody tr td .adjust-kg,
.jstreetable-default table#inventory_reports-table tbody tr td .adjust-m2 {
  color: #298c29;
}

.jstreetable-default table#inventory_reports-table tbody tr td:not(.sticky) span {
  text-align: right;
  width: 100%;
  display: block;
}

@media (max-width: 767px) {
  #inventory_reports-table_wrapper [id^=table-collapse-filter-] .filter-item-box,
  #inventory_reports-table_wrapper [id^=table-collapse-filter-] .filter-item-box .select2-container,
  #inventory_reports-table_wrapper [id^=table-collapse-filter-] .filter-item-box .multiselect-dropdown {
    width: 98% !important;
  }
  #inventory_reports-table_wrapper .filter-section-left {
    flex: 1 1 auto;
  }
}
/* Custom styles for the i-switch icon */
.i-switch {
  display: inline-block;
  width: 12px;
  height: 12px;
  background-repeat: no-repeat;
  background-image: url(../images/icons/i-switch.svg);
  background-size: cover;
  background-position: center;
}

.estimate-date__title {
  position: relative;
  display: flex;
  align-items: center;
  gap: 5px;
  line-height: 1.5;
  padding: 10px 0;
  cursor: pointer;
}
.estimate-date__title .line {
  flex-grow: 1;
  height: 1px;
  background-color: #ccc;
  margin-left: 3px;
  position: relative;
}
.estimate-date__title .line .end-point {
  width: 4px;
  height: 4px;
  background-color: #444;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%) rotate(45deg); /* tạo hình thoi */
}
.estimate-date__title .line .start {
  left: 0;
}
.estimate-date__title .line .end {
  right: -3px;
}

.tooltip {
  z-index: 9999;
}
.tooltip.show {
  opacity: 1;
}
.tooltip .tooltip-inner {
  background-color: rgba(44, 45, 49, 0.9);
}

.bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow::before,
.bs-tooltip-top .tooltip-arrow::before {
  border-top-color: rgba(44, 45, 49, 0.9);
}

.tooltip-item {
  padding-bottom: 5px;
  position: relative;
}
.tooltip-item:before {
  content: "";
  position: absolute;
  bottom: 2.5px;
  left: 0px;
  right: 0px;
  height: 1px;
  background-color: rgba(255, 255, 255, 0.2);
}
.tooltip-item:last-child {
  border-bottom: none;
  padding-bottom: 0px;
}
.tooltip-item:last-child:before {
  background-color: transparent;
}

.tooltip-project {
  position: relative;
  padding-bottom: 10px;
}
.tooltip-project:before {
  content: "";
  position: absolute;
  bottom: 5px;
  left: -7px;
  right: -7px;
  height: 1px;
  background-color: rgba(255, 255, 255, 0.8);
}
.tooltip-project:last-child {
  border-bottom: none;
  padding-bottom: 0px;
}
.tooltip-project:last-child:before {
  background-color: transparent;
}

.w120px {
  width: 120px;
}

.my-popup-content {
  padding: 30px 20px;
  overflow-y: auto;
  height: 100vh;
  position: relative;
}
.my-popup-content .my-popup-title {
  display: flex;
  font-size: 14px;
  margin-bottom: 20px;
  gap: 10px;
  color: var(--primary-color);
}
.my-popup-content .wrap-my-popup-table {
  overflow-x: auto;
}
.my-popup-content .my-popup-table {
  border: 1px solid var(--color-sub-border);
  border-radius: 6px;
  width: 100%;
  border-collapse: separate;
  border-spacing: 0;
}
.my-popup-content .my-popup-table th,
.my-popup-content .my-popup-table td {
  padding: 10px;
  text-align: left;
  border-bottom: 1px solid var(--color-sub-border);
  border-right: 1px solid var(--color-sub-border);
}
.my-popup-content .my-popup-table th:last-child,
.my-popup-content .my-popup-table td:last-child {
  border-right: none;
}
.my-popup-content .my-popup-table tr:last-child td {
  border-bottom: none;
}

.grass-forecasting {
  width: max-content;
}

.grass-forecasting .card {
  overflow: visible !important;
}

.grass-forecasting .card-header h4 {
  position: sticky;
  left: 16px;
  width: max-content;
}
.grass-forecasting .card-header div {
  position: sticky;
  right: 18px;
}

.grass-forecasting .jstreetable-default {
  padding: 0;
}

.grass-forecasting .filter-section-container {
  position: sticky;
  left: 0;
  z-index: 99;
  width: max-content;
}

#grass-forecasting-table.tree-table {
  border-spacing: 3px 0;
  border-collapse: separate;
  background-color: rgb(240, 245, 252);
  margin-left: -3px;
  margin-right: -3px;
}

#grass-forecasting-table.tree-table tbody tr td {
  text-align: right;
  border: none;
  border-bottom: 1px solid #e8ecf2;
  background-color: #fff;
  height: 50px;
}
#grass-forecasting-table.tree-table tbody tr td span[data-type=starting] {
  color: #298c29;
}
#grass-forecasting-table.tree-table tbody tr td span[data-type=starting] span.negative {
  color: #ef4444;
}
#grass-forecasting-table.tree-table tbody tr td span[data-type=harvest] {
  color: #5856d6;
}
#grass-forecasting-table.tree-table tbody tr td span[data-type=harvest] span.negative {
  color: #ef4444;
}
#grass-forecasting-table.tree-table tbody tr td span[data-type=regrowth] {
  color: #0d9488;
}
#grass-forecasting-table.tree-table tbody tr td span[data-type=regrowth] span.negative {
  color: #ef4444;
}
#grass-forecasting-table.tree-table tbody tr td span[data-type=available] {
  color: #007aff;
}
#grass-forecasting-table.tree-table tbody tr td span[data-type=available] span.negative {
  color: #ef4444;
}
#grass-forecasting-table.tree-table tbody tr td .wrap-cell {
  padding: 5px;
  border-radius: 3px;
}
#grass-forecasting-table.tree-table tbody tr td .wrap-cell:has(> span:not(.is-empty)) {
  background-color: rgb(240, 245, 252);
}
#grass-forecasting-table.tree-table tbody tr td .wrap-cell:has(span.status-starting) {
  background-color: #298c29;
}
#grass-forecasting-table.tree-table tbody tr td .wrap-cell:has(span.status-harvest) {
  background-color: #5856d6;
}
#grass-forecasting-table.tree-table tbody tr td .wrap-cell:has(span.status-regrowth) {
  background-color: #0d9488;
}
#grass-forecasting-table.tree-table tbody tr td .wrap-cell:has(span.status-available) {
  background-color: #007aff;
}
#grass-forecasting-table.tree-table tbody tr td span.status-starting {
  color: #298c29;
}
#grass-forecasting-table.tree-table tbody tr td span.status-harvest {
  color: #5856d6;
}
#grass-forecasting-table.tree-table tbody tr td span.status-regrowth {
  color: #0d9488;
}
#grass-forecasting-table.tree-table tbody tr td span.status-available {
  color: #007aff;
}

#grass-forecasting-table.tree-table tbody tr.is-country-row td, #grass-forecasting-table.tree-table tbody tr.is-farm-row td {
  border: 0;
  height: auto;
}
#grass-forecasting-table.tree-table tbody tr.is-product-row td {
  height: auto;
}

#grass-forecasting-table.tree-table tbody td:nth-child(6n+5),
#grass-forecasting-table.tree-table tbody td:nth-child(6n+6),
#grass-forecasting-table.tree-table tbody td:nth-child(6n+7) {
  background-color: #fff;
}

#grass-forecasting-table.dataTable thead th {
  background-color: #fff;
  padding: 5px;
  border: none;
  max-width: 160px;
  min-width: 80px;
  border-bottom: 1px solid #e8ecf2;
  top: 0;
  z-index: 10;
  position: sticky;
}
#grass-forecasting-table.dataTable thead th:first-child {
  box-shadow: inset -5px 0 5px -5px rgba(0, 0, 0, 0.1);
  z-index: 11;
}
#grass-forecasting-table.dataTable thead th span.month-name {
  background-color: #f5f7fb;
  border: 0.5px solid rgba(0, 0, 0, 0.1);
  width: 100px;
  border-radius: 3px;
  padding: 5px;
  display: flex;
  justify-content: center;
  margin: 0 auto;
}

#grass-forecasting-table.tree-table tbody td:first-child,
#grass-forecasting-table.tree-table thead th:first-child,
#grass-forecasting-table.tree-table tfoot th:first-child {
  min-width: 300px;
  transition: min-width 0.1s ease-out;
}
@media (max-width: 767px) {
  #grass-forecasting-table.tree-table tbody td:first-child,
  #grass-forecasting-table.tree-table thead th:first-child,
  #grass-forecasting-table.tree-table tfoot th:first-child {
    min-width: var(--table-scroll-width, 100px);
  }
}

#grass-forecasting-table.tree-table tbody td .tree-wrapper {
  box-shadow: inset -5px 0 5px -5px rgba(0, 0, 0, 0.1);
}

#page-content:has(#grass-forecasting-table) {
  padding: 0 !important;
}

@media (max-width: 767px) {
  .grass-forecasting .title-tab .btn {
    font-size: 12px;
  }
}

@media (max-width: 767px) {
  .grass-forecasting .title-button-group {
    float: none;
  }
}

.ps__rail-x {
  z-index: 99;
}

.ps__rail-y {
  z-index: 99;
}